#ifndef DEF_GAME
#define DEF_GAME

/* Game.h
 * Defines the class Game
 * A game allows a player to play. It contains a grid and pops numbers
 * Creators : krilius, manzerbredes
 * Date : 29/04/2015 */

#include <iostream>
#include <cstdlib>
#include "./Elements/StringElement.hpp"
#include "Grid.hpp"

class Game
{
	private:
		Grid * m_grid;

	public:
		Game();
		~Game();

		void play();
		void pop();
		void showGrid();
		bool isOver();
};

#endif
