#ifndef	DEF_GRID
#define	DEF_GRID

/* Grid.h
 * Defines the class Grid
 * A grid contains a table of cells the game will be set on
 * Creators : krilius, manzerbredes
 * Date : 29/04/2015 */

#include <iostream>
#include <vector>

//#include "ModelConstants.hpp"
#include "Cell.hpp"
#include "./Elements/StringElement.hpp"

class Grid
{
	private:
        int m_size;
		std::vector<std::vector<Cell<StringElement>*> > m_table;
    
	public:
		Grid(int size);
		~Grid();
		void show();
    
        bool isEmpty(int i, int j);
        bool gridIsFull();
        void setCell(int i, int j, Cell<StringElement> * cell);
    
};


#endif
