#ifndef DEF_CELL
#define DEF_CELL

/* Cell.h
 * Defines the class Cell
 * A cell represents a cell in the grid
 * Creators : krilius, manzerbredes
 * Date : 29/04/2015 */

#include <iostream>


template<class T> class Cell
{
	private:
		T*  m_Element;

	public:

		//Constructor
		Cell(std::string value)
		{
			m_Element=new T();
			m_Element->setValue(value);
		}

		//Destructor
		~Cell()
		{
			delete m_Element;
		}

		
		bool isEmpty()
		{
		    return true;
		}

		std::string getElementValue()
		{
		    return m_Element->getValue();
		}

		bool equals(Cell *otherCell)
		{
			return true;
		}

		// Description
		std::string description()
		{
			return m_Element->description();
		}

};

#endif

